ServerEvents.recipes(event => {
    event.remove({id: 'elementalcraft:infuser'})
    event.remove({id: 'elementalcraft:contained_crystal'})
    event.remove({id: 'elementalcraft:infusion/drenched_iron_ingot'})
    event.remove({id: 'elementalcraft:binding/swift_alloy_ingot'})
})

ServerEvents.recipes(event => {
  //Infuser
  event.shaped('elementalcraft:infuser',
  ['   ','1 1','232'], {
    1: '#forge:nuggets/conductive_alloy', 
    2: '#forge:ingots/conductive_alloy', 
    3: 'elementalcraft:contained_crystal'
  }).id('elementalcraft:infuser')
    
  //Contained Crystal
  event.custom({
  type: 'naturesaura:altar',
      input:{
          item: 'elementalcraft:inert_crystal',
      },
      output: {
          item: 'elementalcraft:contained_crystal',
      },
      aura: 1500,
      time: 40,
  }).id('elementalcraft:altar/contained_crystal')

  //Iron Ingot -> Cloggrum Ingot
  event.replaceInput(
    { mod: 'elementalcraft' }, // Arg 1: the filter
    'minecraft:iron_ingot',            // Arg 2: the item to replace
    '#forge:ingots/conductive_alloy'         // Arg 3: the item to replace it with
  )

  //Gold Ingot -> Vibrant Alloy
  event.replaceInput(
    { mod: 'elementalcraft' }, // Arg 1: the filter
    'minecraft:gold_ingot',            // Arg 2: the item to replace
    '#forge:ingots/vibrant_alloy'         // Arg 3: the item to replace it with
  )

  //Drenched Iron Ingot
  event.custom({
    "type": "elementalcraft:infusion",
    "element_amount": 500,
    "element_type": "water",
    "input": {
      "tag": "forge:ingots/conductive_alloy"
    },
    "output": {
      "item": "elementalcraft:drenched_iron_ingot"
    }
  }).id('elementalcraft:infusion/drenched_iron_ingot')

  //Swift Alloy Ingot
  event.custom({
    "type": "elementalcraft:binding",
    "element_amount": 1250,
    "element_type": "air",
    "ingredients": [
      {
        "item": "rats:oratchalcum_ingot",
      },
      {
        "tag": "forge:ingots/drenched_iron"
      },
      {
        "item": "occultism:spirit_attuned_gem"
      },
      {
        "tag": "forge:dusts/redstone"
      },
      {
        "item": "elementalcraft:aircrystal"
      }
    ],
    "output": {
      "item": "elementalcraft:swift_alloy_ingot"
    }
  }).id('elementalcraft:binding/swift_alloy_ingot')
})